> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Midjourney V7 图像生成

> - Midjourney V7 模型支持通过自然语言提示词生成高质量图像，每次生成4张
- 支持文生图和图生图（在 prompt 中引用图片URL）
- 支持全部 V7 原生参数语法（如 --ar, --s, --c 等），详见[提示词参数手册](/cn/api-manual/image-series/midjourney/midjourney-v7-prompt-guide)
- 异步处理模式，使用返回的任务ID [进行查询](/cn/api-manual/task-management/get-task-detail)
- 生成的图像链接，有效期为24小时，请尽快保存
- 超时时间约 20 分钟
- 系统保护：`--v`/`--version` 锁定 V7，`--niji` 不支持，`--fast`/`--turbo`/`--draft` 必须通过 `model_params.speed` 控制（用户在 prompt 中写这些参数会被自动移除）

<Note>
  Midjourney 内置内容审核机制。如果生成的部分图像触发了审核过滤，该次请求已消耗的积分将无法退还，请留意提示词的内容合规性。
</Note>


## OpenAPI

````yaml cn/api-manual/image-series/midjourney/mj-v7-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: Midjourney V7 图像生成接口
  description: 使用 Midjourney V7 模型创建图像生成任务
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 生产环境
security:
  - bearerAuth: []
paths:
  /v1/images/generations:
    post:
      tags:
        - 图像生成
      summary: Midjourney V7 图像生成接口
      description: >-
        - Midjourney V7 模型支持通过自然语言提示词生成高质量图像，每次生成4张

        - 支持文生图和图生图（在 prompt 中引用图片URL）

        - 支持全部 V7 原生参数语法（如 --ar, --s, --c
        等），详见[提示词参数手册](/cn/api-manual/image-series/midjourney/midjourney-v7-prompt-guide)

        - 异步处理模式，使用返回的任务ID
        [进行查询](/cn/api-manual/task-management/get-task-detail)

        - 生成的图像链接，有效期为24小时，请尽快保存

        - 超时时间约 20 分钟

        - 系统保护：`--v`/`--version` 锁定 V7，`--niji` 不支持，`--fast`/`--turbo`/`--draft`
        必须通过 `model_params.speed` 控制（用户在 prompt 中写这些参数会被自动移除）
      operationId: createMjV7ImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: 文本生成图像
                value:
                  model: mj-v7
                  prompt: >-
                    A cinematic shot of a Maine Coon cat on a neon-lit balcony
                    --ar 16:9 --s 500
                  model_params:
                    speed: fast
              image_to_image:
                summary: 图生图
                value:
                  model: mj-v7
                  prompt: >-
                    https://example.com/ref.jpg A sunset landscape in watercolor
                    style --iw 1.5 --ar 16:9
                  model_params:
                    speed: fast
      responses:
        '200':
          description: 任务创建成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 请求参数错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未认证、Token无效或过期
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 配额不足、需要充值
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 无权限访问
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: mj-v7'
                  type: invalid_request_error
        '429':
          description: 请求频率超限
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 服务器内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          enum:
            - mj-v7
          default: mj-v7
          description: 模型名称
        prompt:
          type: string
          description: |-
            提示词，支持 Midjourney V7 全部原生参数语法（如 --ar 16:9 --s 500）。

            **图生图：** 在 prompt 开头放置图片 URL，支持格式：.png, .gif, .webp, .jpg, .jpeg

            **图生图规则：**
            - 单图 + 无文字 = **无效**（会报错）
            - 单图 + 文字描述 = 有效
            - 多图 + 无文字 = 有效
            - 多图 + 文字描述 = 有效
          maxLength: 8192
          example: >-
            A cinematic shot of a Maine Coon cat on a neon-lit balcony --ar 16:9
            --s 500
        model_params:
          type: object
          description: 模型参数
          properties:
            speed:
              type: string
              enum:
                - draft
                - fast
                - turbo
              default: fast
              description: |-
                速度模式

                - `draft`：草图模式，速度快10倍，费用较低，可后续使用 mj-v7-enhance 增强
                - `fast`：标准模式（默认）
                - `turbo`：极速模式，费用更高

                **费用说明：** draft 费用最低，turbo 费用最高（约为 fast 的2倍）
        callback_url:
          type: string
          description: |-
            任务完成后的HTTPS回调地址

            **回调时机：**
            - 任务完成（completed）、失败（failed）或取消（cancelled）时触发
            - 在计费确认完成后发送

            **安全限制：**
            - 仅支持HTTPS协议
            - 禁止回调到内网IP地址（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x等）
            - URL长度不超过`2048`字符

            **回调机制：**
            - 超时时间：`10`秒
            - 失败后最多重试`3`次（会分别在失败的`1`秒/`2`秒/`4`秒后进行重试）
            - 回调响应体格式与任务查询接口返回的格式一致
            - 回调地址若返回2xx状态码视为成功，其他状态码会触发重试
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-mjv7
        model:
          type: string
          description: 实际使用的模型名称
          example: mj-v7
        object:
          type: string
          enum:
            - image.generation.task
          description: 任务的具体类型
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 异步任务信息
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 任务的输出类型
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量和计费信息
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 错误代码标识符
            message:
              type: string
              description: 错误描述信息
            type:
              type: string
              description: 错误类型
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 任务是否可以取消
          example: true
        estimated_time:
          type: integer
          description: 预估完成时间（秒）
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 使用量和计费信息
      properties:
        billing_rule:
          type: string
          description: 计费规则
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 预估消耗积分数
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: 用户组类别
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##所有接口均需要使用Bearer Token进行认证##

        **获取 API Key ：**

        访问 [API Key 管理页面](https://evolink.ai/dashboard/keys) 获取您的 API Key

        **使用时在请求头中添加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````